Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
emerge world problem - gtkimageview failure [solved]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
cwc
l33t
l33t


Joined: 20 Mar 2006
Posts: 762
Location: Tri-Cities, WA USA

PostPosted: Wed Aug 04, 2010 1:17 pm    Post subject: emerge world problem - gtkimageview failure [solved] Reply with quote

gtkimageview will note emerge?

any ideas how to fix this ? Firefox and apiphany also don't work. I had a power outage during emerge world.

thanks

conf.log:
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by gtkimageview configure 1.6.4, which was
generated by GNU Autoconf 2.65. Invocation command line was

$ ./configure --prefix=/usr --build=i686-pc-linux-gnu --host=i686-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --disable-gtk-doc

## --------- ##
## Platform. ##
## --------- ##

hostname = tma
uname -m = i686
uname -r = 2.6.30-gentoo-r6
uname -s = Linux
uname -v = #1 PREEMPT Thu Oct 1 22:01:39 PDT 2009

/usr/bin/uname -p = Pentium III (Coppermine)
/bin/uname -X = unknown

/bin/arch = unknown
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo = unknown
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown

PATH: /usr/lib/portage/bin/ebuild-helpers
PATH: /usr/local/sbin
PATH: /usr/local/bin
PATH: /usr/sbin
PATH: /usr/bin
PATH: /sbin
PATH: /bin
PATH: /opt/bin
PATH: /usr/i686-pc-linux-gnu/gcc-bin/4.3.4
PATH: /usr/qt/3/bin


## ----------- ##
## Core tests. ##
## ----------- ##

configure:2289: checking for a BSD-compatible install
configure:2357: result: /usr/bin/install -c
configure:2368: checking whether build environment is sane
configure:2418: result: yes
configure:2559: checking for a thread-safe mkdir -p
configure:2598: result: /bin/mkdir -p
configure:2611: checking for gawk
configure:2627: found /usr/bin/gawk
configure:2638: result: gawk
configure:2649: checking whether make sets $(MAKE)
configure:2671: result: yes
configure:2764: checking for i686-pc-linux-gnu-gcc
configure:2780: found /usr/bin/i686-pc-linux-gnu-gcc
configure:2791: result: i686-pc-linux-gnu-gcc
configure:3060: checking for C compiler version
configure:3069: i686-pc-linux-gnu-gcc --version >&5
i686-pc-linux-gnu-gcc (Gentoo 4.3.4 p1.0, pie-10.1.5) 4.3.4
Copyright (C) 2008 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:3080: $? = 0
configure:3069: i686-pc-linux-gnu-gcc -v >&5
Using built-in specs.
Target: i686-pc-linux-gnu
Configured with: /var/tmp/portage/sys-devel/gcc-4.3.4/work/gcc-4.3.4/configure --prefix=/usr --bindir=/usr/i686-pc-linux-gnu/gcc-bin/4.3.4 --includedir=/usr/lib/gcc/i686-pc-linux-gnu/4.3.4/include --datadir=/usr/share/gcc-data/i686-pc-linux-gnu/4.3.4 --mandir=/usr/share/gcc-data/i686-pc-linux-gnu/4.3.4/man --infodir=/usr/share/gcc-data/i686-pc-linux-gnu/4.3.4/info --with-gxx-include-dir=/usr/lib/gcc/i686-pc-linux-gnu/4.3.4/include/g++-v4 --host=i686-pc-linux-gnu --build=i686-pc-linux-gnu --disable-altivec --disable-fixed-point --enable-nls --without-included-gettext --with-system-zlib --disable-checking --disable-werror --enable-secureplt --disable-multilib --enable-libmudflap --disable-libssp --enable-libgomp --disable-libgcj --with-arch=i686 --enable-languages=c,c++,objc,treelang,fortran --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-clocale=gnu --with-bugurl=https://bugs.gentoo.org/ --with-pkgversion='Gentoo 4.3.4 p1.0, pie-10.1.5'
Thread model: posix
gcc version 4.3.4 (Gentoo 4.3.4 p1.0, pie-10.1.5)
configure:3080: $? = 0
configure:3069: i686-pc-linux-gnu-gcc -V >&5
i686-pc-linux-gnu-gcc: '-V' option must have argument
configure:3080: $? = 1
configure:3069: i686-pc-linux-gnu-gcc -qversion >&5
i686-pc-linux-gnu-gcc: unrecognized option '-qversion'
i686-pc-linux-gnu-gcc: no input files
configure:3080: $? = 1
configure:3100: checking whether the C compiler works
configure:3122: i686-pc-linux-gnu-gcc -O2 -march=i686 -pipe -Wl,-O1 -Wl,--as-needed conftest.c >&5
configure:3126: $? = 0
configure:3175: result: yes
configure:3178: checking for C compiler default output file name
configure:3180: result: a.out
configure:3186: checking for suffix of executables
configure:3193: i686-pc-linux-gnu-gcc -o conftest -O2 -march=i686 -pipe -Wl,-O1 -Wl,--as-needed conftest.c >&5
configure:3197: $? = 0
configure:3219: result:
configure:3241: checking whether we are cross compiling
configure:3249: i686-pc-linux-gnu-gcc -o conftest -O2 -march=i686 -pipe -Wl,-O1 -Wl,--as-needed conftest.c >&5
configure:3253: $? = 0
configure:3260: ./conftest
configure:3264: $? = 0
configure:3279: result: no
configure:3284: checking for suffix of object files
configure:3306: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:3310: $? = 0
configure:3331: result: o
configure:3335: checking whether we are using the GNU C compiler
configure:3354: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:3354: $? = 0
configure:3363: result: yes
configure:3372: checking whether i686-pc-linux-gnu-gcc accepts -g
configure:3392: i686-pc-linux-gnu-gcc -c -g conftest.c >&5
configure:3392: $? = 0
configure:3433: result: yes
configure:3450: checking for i686-pc-linux-gnu-gcc option to accept ISO C89
configure:3514: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:3514: $? = 0
configure:3527: result: none needed
configure:3558: checking for style of include used by make
configure:3586: result: GNU
configure:3611: checking dependency style of i686-pc-linux-gnu-gcc
configure:3721: result: gcc3
configure:3766: checking build system type
configure:3780: result: i686-pc-linux-gnu
configure:3800: checking host system type
configure:3813: result: i686-pc-linux-gnu
configure:3833: checking for a sed that does not truncate output
configure:3897: result: /bin/sed
configure:3915: checking for grep that handles long lines and -e
configure:3973: result: /bin/grep
configure:3978: checking for egrep
configure:4040: result: /bin/grep -E
configure:4045: checking for fgrep
configure:4107: result: /bin/grep -F
configure:4142: checking for ld used by i686-pc-linux-gnu-gcc
configure:4209: result: /usr/i686-pc-linux-gnu/bin/ld
configure:4216: checking if the linker (/usr/i686-pc-linux-gnu/bin/ld) is GNU ld
configure:4231: result: yes
configure:4243: checking for BSD- or MS-compatible name lister (nm)
configure:4292: result: /usr/bin/nm -B
configure:4410: checking the name lister (/usr/bin/nm -B) interface
configure:4417: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:4420: /usr/bin/nm -B "conftest.o"
configure:4423: output
00000000 B some_variable
configure:4430: result: BSD nm
configure:4433: checking whether ln -s works
configure:4437: result: yes
configure:4445: checking the maximum length of command line arguments
configure:4565: result: 1572864
configure:4582: checking whether the shell understands some XSI constructs
configure:4592: result: yes
configure:4596: checking whether the shell understands "+="
configure:4602: result: yes
configure:4637: checking for /usr/i686-pc-linux-gnu/bin/ld option to reload object files
configure:4644: result: -r
configure:4673: checking for i686-pc-linux-gnu-objdump
configure:4689: found /usr/bin/i686-pc-linux-gnu-objdump
configure:4700: result: i686-pc-linux-gnu-objdump
configure:4772: checking how to recognize dependent libraries
configure:4968: result: pass_all
configure:4988: checking for i686-pc-linux-gnu-ar
configure:5004: found /usr/bin/i686-pc-linux-gnu-ar
configure:5015: result: i686-pc-linux-gnu-ar
configure:5093: checking for i686-pc-linux-gnu-strip
configure:5109: found /usr/bin/i686-pc-linux-gnu-strip
configure:5120: result: i686-pc-linux-gnu-strip
configure:5192: checking for i686-pc-linux-gnu-ranlib
configure:5208: found /usr/bin/i686-pc-linux-gnu-ranlib
configure:5219: result: i686-pc-linux-gnu-ranlib
configure:5349: checking command to parse /usr/bin/nm -B output from i686-pc-linux-gnu-gcc object
configure:5467: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:5470: $? = 0
configure:5474: /usr/bin/nm -B conftest.o \| sed -n -e 's/^.*[ ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[ ][ ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p' \> conftest.nm
configure:5477: $? = 0
configure:5531: i686-pc-linux-gnu-gcc -o conftest -O2 -march=i686 -pipe -Wl,-O1 -Wl,--as-needed conftest.c conftstm.o >&5
configure:5534: $? = 0
configure:5572: result: ok
configure:6381: checking how to run the C preprocessor
configure:6412: i686-pc-linux-gnu-gcc -E conftest.c
configure:6412: $? = 0
configure:6426: i686-pc-linux-gnu-gcc -E conftest.c
conftest.c:11:28: error: ac_nonexistent.h: No such file or directory
configure:6426: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "gtkimageview"
| #define PACKAGE_TARNAME "gtkimageview"
| #define PACKAGE_VERSION "1.6.4"
| #define PACKAGE_STRING "gtkimageview 1.6.4"
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE_URL ""
| #define PACKAGE "gtkimageview"
| #define VERSION "1.6.4"
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:6451: result: i686-pc-linux-gnu-gcc -E
configure:6471: i686-pc-linux-gnu-gcc -E conftest.c
configure:6471: $? = 0
configure:6485: i686-pc-linux-gnu-gcc -E conftest.c
conftest.c:11:28: error: ac_nonexistent.h: No such file or directory
configure:6485: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "gtkimageview"
| #define PACKAGE_TARNAME "gtkimageview"
| #define PACKAGE_VERSION "1.6.4"
| #define PACKAGE_STRING "gtkimageview 1.6.4"
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE_URL ""
| #define PACKAGE "gtkimageview"
| #define VERSION "1.6.4"
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:6514: checking for ANSI C header files
configure:6534: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:6534: $? = 0
configure:6607: i686-pc-linux-gnu-gcc -o conftest -O2 -march=i686 -pipe -Wl,-O1 -Wl,--as-needed conftest.c >&5
configure:6607: $? = 0
configure:6607: ./conftest
configure:6607: $? = 0
configure:6618: result: yes
configure:6631: checking for sys/types.h
configure:6631: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:6631: $? = 0
configure:6631: result: yes
configure:6631: checking for sys/stat.h
configure:6631: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:6631: $? = 0
configure:6631: result: yes
configure:6631: checking for stdlib.h
configure:6631: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:6631: $? = 0
configure:6631: result: yes
configure:6631: checking for string.h
configure:6631: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:6631: $? = 0
configure:6631: result: yes
configure:6631: checking for memory.h
configure:6631: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:6631: $? = 0
configure:6631: result: yes
configure:6631: checking for strings.h
configure:6631: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:6631: $? = 0
configure:6631: result: yes
configure:6631: checking for inttypes.h
configure:6631: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:6631: $? = 0
configure:6631: result: yes
configure:6631: checking for stdint.h
configure:6631: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:6631: $? = 0
configure:6631: result: yes
configure:6631: checking for unistd.h
configure:6631: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:6631: $? = 0
configure:6631: result: yes
configure:6646: checking for dlfcn.h
configure:6646: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:6646: $? = 0
configure:6646: result: yes
configure:6830: checking for objdir
configure:6845: result: .libs
configure:7137: checking if i686-pc-linux-gnu-gcc supports -fno-rtti -fno-exceptions
configure:7155: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe -fno-rtti -fno-exceptions conftest.c >&5
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
configure:7159: $? = 0
configure:7172: result: no
configure:7192: checking for i686-pc-linux-gnu-gcc option to produce PIC
configure:7464: result: -fPIC -DPIC
configure:7476: checking if i686-pc-linux-gnu-gcc PIC flag -fPIC -DPIC works
configure:7494: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe -fPIC -DPIC -DPIC conftest.c >&5
configure:7498: $? = 0
configure:7511: result: yes
configure:7535: checking if i686-pc-linux-gnu-gcc static flag -static works
configure:7563: result: yes
configure:7578: checking if i686-pc-linux-gnu-gcc supports -c -o file.o
configure:7599: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe -o out/conftest2.o conftest.c >&5
configure:7603: $? = 0
configure:7625: result: yes
configure:7633: checking if i686-pc-linux-gnu-gcc supports -c -o file.o
configure:7680: result: yes
configure:7713: checking whether the i686-pc-linux-gnu-gcc linker (/usr/i686-pc-linux-gnu/bin/ld) supports shared libraries
configure:8699: result: yes
configure:8736: checking whether -lc should be explicitly linked in
configure:8741: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:8744: $? = 0
configure:8759: i686-pc-linux-gnu-gcc -shared conftest.o -v -Wl,-soname -Wl,conftest -o conftest 2\>\&1 \| /bin/grep -lc \>/dev/null 2\>\&1
configure:8762: $? = 0
configure:8774: result: no
configure:8938: checking dynamic linker characteristics
configure:9384: i686-pc-linux-gnu-gcc -o conftest -O2 -march=i686 -pipe -Wl,-O1 -Wl,--as-needed -Wl,-rpath -Wl,/foo conftest.c >&5
configure:9384: $? = 0
configure:9602: result: GNU/Linux ld.so
configure:9704: checking how to hardcode library paths into programs
configure:9729: result: immediate
configure:10249: checking whether stripping libraries is possible
configure:10254: result: yes
configure:10289: checking if libtool supports shared libraries
configure:10291: result: yes
configure:10294: checking whether to build shared libraries
configure:10315: result: yes
configure:10318: checking whether to build static libraries
configure:10322: result: yes
configure:10403: checking whether gcc understands -Wno-sign-compare
configure:10416: i686-pc-linux-gnu-gcc -c -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -O2 -march=i686 -pipe -Wno-sign-compare conftest.c >&5
configure:10416: $? = 0
configure:10423: result: yes
configure:10441: checking what warning flags to pass to the C compiler
configure:10443: result: -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare -Werror
configure:10454: checking what language compliance flags to pass to the C compiler
configure:10469: result:
configure:10482: checking for i686-pc-linux-gnu-pkg-config
configure:10515: result: no
configure:10525: checking for pkg-config
configure:10543: found /usr/bin/pkg-config
configure:10555: result: /usr/bin/pkg-config
configure:10580: checking pkg-config is at least version 0.9.0
configure:10583: result: yes
configure:10594: checking for DEP
configure:10601: $PKG_CONFIG --exists --print-errors "gtk+-2.0 >= 2.6.0"
Package libpng12 was not found in the pkg-config search path.
Perhaps you should add the directory containing `libpng12.pc'
to the PKG_CONFIG_PATH environment variable
Package 'libpng12', required by 'cairo', not found
configure:10604: $? = 1
configure:10617: $PKG_CONFIG --exists --print-errors "gtk+-2.0 >= 2.6.0"
Package libpng12 was not found in the pkg-config search path.
Perhaps you should add the directory containing `libpng12.pc'
to the PKG_CONFIG_PATH environment variable
Package 'libpng12', required by 'cairo', not found
configure:10620: $? = 1
Package libpng12 was not found in the pkg-config search path.
Perhaps you should add the directory containing `libpng12.pc'
to the PKG_CONFIG_PATH environment variable
Package 'libpng12', required by 'cairo', not found
configure:10657: error: Package requirements (gtk+-2.0 >= 2.6.0) were not met:

Package libpng12 was not found in the pkg-config search path.
Perhaps you should add the directory containing `libpng12.pc'
to the PKG_CONFIG_PATH environment variable
Package 'libpng12', required by 'cairo', not found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables DEP_CFLAGS
and DEP_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.


## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_build=i686-pc-linux-gnu
ac_cv_c_compiler_gnu=yes
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=set
ac_cv_env_CFLAGS_value='-O2 -march=i686 -pipe'
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_DEP_CFLAGS_set=
ac_cv_env_DEP_CFLAGS_value=
ac_cv_env_DEP_LIBS_set=
ac_cv_env_DEP_LIBS_value=
ac_cv_env_LDFLAGS_set=set
ac_cv_env_LDFLAGS_value='-Wl,-O1 -Wl,--as-needed'
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_PKG_CONFIG_set=
ac_cv_env_PKG_CONFIG_value=
ac_cv_env_build_alias_set=set
ac_cv_env_build_alias_value=i686-pc-linux-gnu
ac_cv_env_host_alias_set=set
ac_cv_env_host_alias_value=i686-pc-linux-gnu
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_header_dlfcn_h=yes
ac_cv_header_inttypes_h=yes
ac_cv_header_memory_h=yes
ac_cv_header_stdc=yes
ac_cv_header_stdint_h=yes
ac_cv_header_stdlib_h=yes
ac_cv_header_string_h=yes
ac_cv_header_strings_h=yes
ac_cv_header_sys_stat_h=yes
ac_cv_header_sys_types_h=yes
ac_cv_header_unistd_h=yes
ac_cv_host=i686-pc-linux-gnu
ac_cv_objext=o
ac_cv_path_EGREP='/bin/grep -E'
ac_cv_path_FGREP='/bin/grep -F'
ac_cv_path_GREP=/bin/grep
ac_cv_path_SED=/bin/sed
ac_cv_path_ac_pt_PKG_CONFIG=/usr/bin/pkg-config
ac_cv_path_install='/usr/bin/install -c'
ac_cv_path_mkdir=/bin/mkdir
ac_cv_prog_AR=i686-pc-linux-gnu-ar
ac_cv_prog_AWK=gawk
ac_cv_prog_CC=i686-pc-linux-gnu-gcc
ac_cv_prog_CPP='i686-pc-linux-gnu-gcc -E'
ac_cv_prog_OBJDUMP=i686-pc-linux-gnu-objdump
ac_cv_prog_RANLIB=i686-pc-linux-gnu-ranlib
ac_cv_prog_STRIP=i686-pc-linux-gnu-strip
ac_cv_prog_cc_c89=
ac_cv_prog_cc_g=yes
ac_cv_prog_make_make_set=yes
am_cv_CC_dependencies_compiler_type=gcc3
lt_cv_deplibs_check_method=pass_all
lt_cv_file_magic_cmd='$MAGIC_CMD'
lt_cv_file_magic_test_file=
lt_cv_ld_reload_flag=-r
lt_cv_nm_interface='BSD nm'
lt_cv_objdir=.libs
lt_cv_path_LD=/usr/i686-pc-linux-gnu/bin/ld
lt_cv_path_NM='/usr/bin/nm -B'
lt_cv_prog_compiler_c_o=yes
lt_cv_prog_compiler_pic_works=yes
lt_cv_prog_compiler_rtti_exceptions=no
lt_cv_prog_compiler_static_works=yes
lt_cv_prog_gnu_ld=yes
lt_cv_sys_global_symbol_pipe='sed -n -e '\''s/^.*[ ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[ ][ ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p'\'''
lt_cv_sys_global_symbol_to_c_name_address='sed -n -e '\''s/^: \([^ ]*\) $/ {\"\1\", (void *) 0},/p'\'' -e '\''s/^[ABCDGIRSTW]* \([^ ]*\) \([^ ]*\)$/ {"\2", (void *) \&\2},/p'\'''
lt_cv_sys_global_symbol_to_c_name_address_lib_prefix='sed -n -e '\''s/^: \([^ ]*\) $/ {\"\1\", (void *) 0},/p'\'' -e '\''s/^[ABCDGIRSTW]* \([^ ]*\) \(lib[^ ]*\)$/ {"\2", (void *) \&\2},/p'\'' -e '\''s/^[ABCDGIRSTW]* \([^ ]*\) \([^ ]*\)$/ {"lib\2", (void *) \&\2},/p'\'''
lt_cv_sys_global_symbol_to_cdecl='sed -n -e '\''s/^T .* \(.*\)$/extern int \1();/p'\'' -e '\''s/^[ABCDGIRSTW]* .* \(.*\)$/extern char \1;/p'\'''
lt_cv_sys_max_cmd_len=1572864

## ----------------- ##
## Output variables. ##
## ----------------- ##

ACLOCAL='${SHELL} /var/tmp/portage/media-gfx/gtkimageview-1.6.4/work/gtkimageview-1.6.4/missing --run aclocal-1.11'
ACLOCAL_AMFLAGS='${ACLOCAL_FLAGS}'
AMDEPBACKSLASH='\'
AMDEP_FALSE='#'
AMDEP_TRUE=''
AMTAR='${SHELL} /var/tmp/portage/media-gfx/gtkimageview-1.6.4/work/gtkimageview-1.6.4/missing --run tar'
AR='i686-pc-linux-gnu-ar'
AUTOCONF='${SHELL} /var/tmp/portage/media-gfx/gtkimageview-1.6.4/work/gtkimageview-1.6.4/missing --run autoconf'
AUTOHEADER='${SHELL} /var/tmp/portage/media-gfx/gtkimageview-1.6.4/work/gtkimageview-1.6.4/missing --run autoheader'
AUTOMAKE='${SHELL} /var/tmp/portage/media-gfx/gtkimageview-1.6.4/work/gtkimageview-1.6.4/missing --run automake-1.11'
AWK='gawk'
CC='i686-pc-linux-gnu-gcc'
CCDEPMODE='depmode=gcc3'
CFLAGS='-O2 -march=i686 -pipe'
CPP='i686-pc-linux-gnu-gcc -E'
CPPFLAGS=''
CYGPATH_W='echo'
DEFS=''
DEPDIR='.deps'
DEP_CFLAGS=''
DEP_LIBS=''
DSYMUTIL=''
DUMPBIN=''
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP='/bin/grep -E'
ENABLE_GTK_DOC_FALSE=''
ENABLE_GTK_DOC_TRUE=''
EXEEXT=''
FGREP='/bin/grep -F'
GLIB_GENMARSHAL=''
GLIB_MKENUMS=''
GREP='/bin/grep'
GTKDOC_CHECK=''
GTKDOC_MKPDF=''
GTKDOC_REBASE=''
GTK_DOC_BUILD_HTML_FALSE=''
GTK_DOC_BUILD_HTML_TRUE=''
GTK_DOC_BUILD_PDF_FALSE=''
GTK_DOC_BUILD_PDF_TRUE=''
GTK_DOC_USE_LIBTOOL_FALSE=''
GTK_DOC_USE_LIBTOOL_TRUE=''
GTK_DOC_USE_REBASE_FALSE=''
GTK_DOC_USE_REBASE_TRUE=''
HTML_DIR=''
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='$(install_sh) -c -s'
LD='/usr/i686-pc-linux-gnu/bin/ld'
LDFLAGS='-Wl,-O1 -Wl,--as-needed'
LIBOBJS=''
LIBS=''
LIBTOOL='$(SHELL) $(top_builddir)/libtool'
LIPO=''
LN_S='ln -s'
LTLIBOBJS=''
MAKEINFO='${SHELL} /var/tmp/portage/media-gfx/gtkimageview-1.6.4/work/gtkimageview-1.6.4/missing --run makeinfo'
MKDIR_P='/bin/mkdir -p'
NM='/usr/bin/nm -B'
NMEDIT=''
OBJDUMP='i686-pc-linux-gnu-objdump'
OBJEXT='o'
OTOOL64=''
OTOOL=''
PACKAGE='gtkimageview'
PACKAGE_BUGREPORT=''
PACKAGE_NAME='gtkimageview'
PACKAGE_STRING='gtkimageview 1.6.4'
PACKAGE_TARNAME='gtkimageview'
PACKAGE_URL=''
PACKAGE_VERSION='1.6.4'
PATH_SEPARATOR=':'
PKG_CONFIG='/usr/bin/pkg-config'
RANLIB='i686-pc-linux-gnu-ranlib'
SED='/bin/sed'
SET_MAKE=''
SHELL='/bin/sh'
STRIP='i686-pc-linux-gnu-strip'
VERSION='1.6.4'
WARN_CFLAGS='-Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare -Werror '
ac_ct_CC=''
ac_ct_DUMPBIN=''
am__EXEEXT_FALSE=''
am__EXEEXT_TRUE=''
am__fastdepCC_FALSE='#'
am__fastdepCC_TRUE=''
am__include='include'
am__isrc=''
am__leading_dot='.'
am__quote=''
am__tar='${AMTAR} chof - "$$tardir"'
am__untar='${AMTAR} xf -'
bindir='${exec_prefix}/bin'
build='i686-pc-linux-gnu'
build_alias='i686-pc-linux-gnu'
build_cpu='i686'
build_os='linux-gnu'
build_vendor='pc'
datadir='/usr/share'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
dvidir='${docdir}'
exec_prefix='NONE'
host='i686-pc-linux-gnu'
host_alias='i686-pc-linux-gnu'
host_cpu='i686'
host_os='linux-gnu'
host_vendor='pc'
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='/usr/share/info'
install_sh='${SHELL} /var/tmp/portage/media-gfx/gtkimageview-1.6.4/work/gtkimageview-1.6.4/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localedir='${datarootdir}/locale'
localstatedir='/var/lib'
lt_ECHO='echo'
mandir='/usr/share/man'
mkdir_p='/bin/mkdir -p'
oldincludedir='/usr/include'
pdfdir='${docdir}'
prefix='/usr'
program_transform_name='s,x,x,'
psdir='${docdir}'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='/etc'
target_alias=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

/* confdefs.h */
#define PACKAGE_NAME "gtkimageview"
#define PACKAGE_TARNAME "gtkimageview"
#define PACKAGE_VERSION "1.6.4"
#define PACKAGE_STRING "gtkimageview 1.6.4"
#define PACKAGE_BUGREPORT ""
#define PACKAGE_URL ""
#define PACKAGE "gtkimageview"
#define VERSION "1.6.4"
#define STDC_HEADERS 1
#define HAVE_SYS_TYPES_H 1
#define HAVE_SYS_STAT_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STRING_H 1
#define HAVE_MEMORY_H 1
#define HAVE_STRINGS_H 1
#define HAVE_INTTYPES_H 1
#define HAVE_STDINT_H 1
#define HAVE_UNISTD_H 1
#define HAVE_DLFCN_H 1
#define LT_OBJDIR ".libs/"

configure: exit 1
_________________
Without diversity there can be no evolution:)


Last edited by cwc on Wed Aug 11, 2010 1:01 am; edited 2 times in total
Back to top
View user's profile Send private message
ssteinberg
Apprentice
Apprentice


Joined: 09 Jul 2010
Posts: 206
Location: Israel

PostPosted: Wed Aug 04, 2010 1:30 pm    Post subject: Reply with quote

emerge libpng && revdep-rebuild
Back to top
View user's profile Send private message
cwc
l33t
l33t


Joined: 20 Mar 2006
Posts: 762
Location: Tri-Cities, WA USA

PostPosted: Wed Aug 04, 2010 1:59 pm    Post subject: Reply with quote

ssteinberg wrote:
emerge libpng && revdep-rebuild


ahhhh: Package libpng12 was not found in the pkg-config search path.
got it. When things work I'll post.

Thanks
_________________
Without diversity there can be no evolution:)
Back to top
View user's profile Send private message
cwc
l33t
l33t


Joined: 20 Mar 2006
Posts: 762
Location: Tri-Cities, WA USA

PostPosted: Wed Aug 04, 2010 2:35 pm    Post subject: Reply with quote

cwc wrote:
ssteinberg wrote:
emerge libpng && revdep-rebuild


ahhhh: Package libpng12 was not found in the pkg-config search path.
got it. When things work I'll post.

Thanks


still failed after emerge libpng && revdep-rebuild

hangs on -gtk-doc and Ive disable that in package.conf
_________________
Without diversity there can be no evolution:)
Back to top
View user's profile Send private message
Hu
Watchman
Watchman


Joined: 06 Mar 2007
Posts: 8591

PostPosted: Thu Aug 05, 2010 2:21 am    Post subject: Reply with quote

As I read that output, the problem was not and is not libpng directly, but rather that cairo has picked up a libtool archive reference to libpng. I would have expected revdep-rebuild to react to that. Did it rebuild anything? Are you sure the new failure has the same error text as the old failure? A hang on gtk-doc would be very different from a failure to build gtkimageview.
Back to top
View user's profile Send private message
cwc
l33t
l33t


Joined: 20 Mar 2006
Posts: 762
Location: Tri-Cities, WA USA

PostPosted: Thu Aug 05, 2010 4:36 am    Post subject: Reply with quote

Hu wrote:
As I read that output, the problem was not and is not libpng directly, but rather that cairo has picked up a libtool archive reference to libpng. I would have expected revdep-rebuild to react to that. Did it rebuild anything? Are you sure the new failure has the same error text as the old failure? A hang on gtk-doc would be very different from a failure to build gtkimageview.


Thanks Hu,

I did a revdep-rebuild and it finished. I did not look at errors. I will not be able to work on this for a few days. So I'll look at the log again.
I'm also stuck on emerging firefox. I'll eventually post that error log next week.
thanks again.
_________________
Without diversity there can be no evolution:)
Back to top
View user's profile Send private message
cwc
l33t
l33t


Joined: 20 Mar 2006
Posts: 762
Location: Tri-Cities, WA USA

PostPosted: Sat Aug 07, 2010 7:40 am    Post subject: Reply with quote

Hu wrote:
As I read that output, the problem was not and is not libpng directly, but rather that cairo has picked up a libtool archive reference to libpng. I would have expected revdep-rebuild to react to that. Did it rebuild anything? Are you sure the new failure has the same error text as the old failure? A hang on gtk-doc would be very different from a failure to build gtkimageview.


Here's my latest conf.log from a failure to emerge -uDNav world

Any idea?
Thanks.

This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by gtkimageview configure 1.6.4, which was
generated by GNU Autoconf 2.65. Invocation command line was

$ ./configure --prefix=/usr --build=i686-pc-linux-gnu --host=i686-pc-linux-gnu --mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var/lib --disable-gtk-doc

## --------- ##
## Platform. ##
## --------- ##

hostname = tma
uname -m = i686
uname -r = 2.6.30-gentoo-r6
uname -s = Linux
uname -v = #1 PREEMPT Thu Oct 1 22:01:39 PDT 2009

/usr/bin/uname -p = Pentium III (Coppermine)
/bin/uname -X = unknown

/bin/arch = unknown
/usr/bin/arch -k = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo = unknown
/bin/machine = unknown
/usr/bin/oslevel = unknown
/bin/universe = unknown

PATH: /usr/lib/portage/bin/ebuild-helpers
PATH: /usr/local/sbin
PATH: /usr/local/bin
PATH: /usr/sbin
PATH: /usr/bin
PATH: /sbin
PATH: /bin
PATH: /opt/bin
PATH: /usr/i686-pc-linux-gnu/gcc-bin/4.3.4
PATH: /usr/qt/3/bin


## ----------- ##
## Core tests. ##
## ----------- ##

configure:2289: checking for a BSD-compatible install
configure:2357: result: /usr/bin/install -c
configure:2368: checking whether build environment is sane
configure:2418: result: yes
configure:2559: checking for a thread-safe mkdir -p
configure:2598: result: /bin/mkdir -p
configure:2611: checking for gawk
configure:2627: found /usr/bin/gawk
configure:2638: result: gawk
configure:2649: checking whether make sets $(MAKE)
configure:2671: result: yes
configure:2764: checking for i686-pc-linux-gnu-gcc
configure:2780: found /usr/bin/i686-pc-linux-gnu-gcc
configure:2791: result: i686-pc-linux-gnu-gcc
configure:3060: checking for C compiler version
configure:3069: i686-pc-linux-gnu-gcc --version >&5
i686-pc-linux-gnu-gcc (Gentoo 4.3.4 p1.0, pie-10.1.5) 4.3.4
Copyright (C) 2008 Free Software Foundation, Inc.
This is free software; see the source for copying conditions. There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:3080: $? = 0
configure:3069: i686-pc-linux-gnu-gcc -v >&5
Using built-in specs.
Target: i686-pc-linux-gnu
Configured with: /var/tmp/portage/sys-devel/gcc-4.3.4/work/gcc-4.3.4/configure --prefix=/usr --bindir=/usr/i686-pc-linux-gnu/gcc-bin/4.3.4 --includedir=/usr/lib/gcc/i686-pc-linux-gnu/4.3.4/include --datadir=/usr/share/gcc-data/i686-pc-linux-gnu/4.3.4 --mandir=/usr/share/gcc-data/i686-pc-linux-gnu/4.3.4/man --infodir=/usr/share/gcc-data/i686-pc-linux-gnu/4.3.4/info --with-gxx-include-dir=/usr/lib/gcc/i686-pc-linux-gnu/4.3.4/include/g++-v4 --host=i686-pc-linux-gnu --build=i686-pc-linux-gnu --disable-altivec --disable-fixed-point --enable-nls --without-included-gettext --with-system-zlib --disable-checking --disable-werror --enable-secureplt --disable-multilib --enable-libmudflap --disable-libssp --enable-libgomp --disable-libgcj --with-arch=i686 --enable-languages=c,c++,objc,treelang,fortran --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-clocale=gnu --with-bugurl=https://bugs.gentoo.org/ --with-pkgversion='Gentoo 4.3.4 p1.0, pie-10.1.5'
Thread model: posix
gcc version 4.3.4 (Gentoo 4.3.4 p1.0, pie-10.1.5)
configure:3080: $? = 0
configure:3069: i686-pc-linux-gnu-gcc -V >&5
i686-pc-linux-gnu-gcc: '-V' option must have argument
configure:3080: $? = 1
configure:3069: i686-pc-linux-gnu-gcc -qversion >&5
i686-pc-linux-gnu-gcc: unrecognized option '-qversion'
i686-pc-linux-gnu-gcc: no input files
configure:3080: $? = 1
configure:3100: checking whether the C compiler works
configure:3122: i686-pc-linux-gnu-gcc -O2 -march=i686 -pipe -Wl,-O1 -Wl,--as-needed conftest.c >&5
configure:3126: $? = 0
configure:3175: result: yes
configure:3178: checking for C compiler default output file name
configure:3180: result: a.out
configure:3186: checking for suffix of executables
configure:3193: i686-pc-linux-gnu-gcc -o conftest -O2 -march=i686 -pipe -Wl,-O1 -Wl,--as-needed conftest.c >&5
configure:3197: $? = 0
configure:3219: result:
configure:3241: checking whether we are cross compiling
configure:3249: i686-pc-linux-gnu-gcc -o conftest -O2 -march=i686 -pipe -Wl,-O1 -Wl,--as-needed conftest.c >&5
configure:3253: $? = 0
configure:3260: ./conftest
configure:3264: $? = 0
configure:3279: result: no
configure:3284: checking for suffix of object files
configure:3306: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:3310: $? = 0
configure:3331: result: o
configure:3335: checking whether we are using the GNU C compiler
configure:3354: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:3354: $? = 0
configure:3363: result: yes
configure:3372: checking whether i686-pc-linux-gnu-gcc accepts -g
configure:3392: i686-pc-linux-gnu-gcc -c -g conftest.c >&5
configure:3392: $? = 0
configure:3433: result: yes
configure:3450: checking for i686-pc-linux-gnu-gcc option to accept ISO C89
configure:3514: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:3514: $? = 0
configure:3527: result: none needed
configure:3558: checking for style of include used by make
configure:3586: result: GNU
configure:3611: checking dependency style of i686-pc-linux-gnu-gcc
configure:3721: result: gcc3
configure:3766: checking build system type
configure:3780: result: i686-pc-linux-gnu
configure:3800: checking host system type
configure:3813: result: i686-pc-linux-gnu
configure:3833: checking for a sed that does not truncate output
configure:3897: result: /bin/sed
configure:3915: checking for grep that handles long lines and -e
configure:3973: result: /bin/grep
configure:3978: checking for egrep
configure:4040: result: /bin/grep -E
configure:4045: checking for fgrep
configure:4107: result: /bin/grep -F
configure:4142: checking for ld used by i686-pc-linux-gnu-gcc
configure:4209: result: /usr/i686-pc-linux-gnu/bin/ld
configure:4216: checking if the linker (/usr/i686-pc-linux-gnu/bin/ld) is GNU ld
configure:4231: result: yes
configure:4243: checking for BSD- or MS-compatible name lister (nm)
configure:4292: result: /usr/bin/nm -B
configure:4410: checking the name lister (/usr/bin/nm -B) interface
configure:4417: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:4420: /usr/bin/nm -B "conftest.o"
configure:4423: output
00000000 B some_variable
configure:4430: result: BSD nm
configure:4433: checking whether ln -s works
configure:4437: result: yes
configure:4445: checking the maximum length of command line arguments
configure:4565: result: 1572864
configure:4582: checking whether the shell understands some XSI constructs
configure:4592: result: yes
configure:4596: checking whether the shell understands "+="
configure:4602: result: yes
configure:4637: checking for /usr/i686-pc-linux-gnu/bin/ld option to reload object files
configure:4644: result: -r
configure:4673: checking for i686-pc-linux-gnu-objdump
configure:4689: found /usr/bin/i686-pc-linux-gnu-objdump
configure:4700: result: i686-pc-linux-gnu-objdump
configure:4772: checking how to recognize dependent libraries
configure:4968: result: pass_all
configure:4988: checking for i686-pc-linux-gnu-ar
configure:5004: found /usr/bin/i686-pc-linux-gnu-ar
configure:5015: result: i686-pc-linux-gnu-ar
configure:5093: checking for i686-pc-linux-gnu-strip
configure:5109: found /usr/bin/i686-pc-linux-gnu-strip
configure:5120: result: i686-pc-linux-gnu-strip
configure:5192: checking for i686-pc-linux-gnu-ranlib
configure:5208: found /usr/bin/i686-pc-linux-gnu-ranlib
configure:5219: result: i686-pc-linux-gnu-ranlib
configure:5349: checking command to parse /usr/bin/nm -B output from i686-pc-linux-gnu-gcc object
configure:5467: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:5470: $? = 0
configure:5474: /usr/bin/nm -B conftest.o \| sed -n -e 's/^.*[ ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[ ][ ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p' \> conftest.nm
configure:5477: $? = 0
configure:5531: i686-pc-linux-gnu-gcc -o conftest -O2 -march=i686 -pipe -Wl,-O1 -Wl,--as-needed conftest.c conftstm.o >&5
configure:5534: $? = 0
configure:5572: result: ok
configure:6381: checking how to run the C preprocessor
configure:6412: i686-pc-linux-gnu-gcc -E conftest.c
configure:6412: $? = 0
configure:6426: i686-pc-linux-gnu-gcc -E conftest.c
conftest.c:11:28: error: ac_nonexistent.h: No such file or directory
configure:6426: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "gtkimageview"
| #define PACKAGE_TARNAME "gtkimageview"
| #define PACKAGE_VERSION "1.6.4"
| #define PACKAGE_STRING "gtkimageview 1.6.4"
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE_URL ""
| #define PACKAGE "gtkimageview"
| #define VERSION "1.6.4"
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:6451: result: i686-pc-linux-gnu-gcc -E
configure:6471: i686-pc-linux-gnu-gcc -E conftest.c
configure:6471: $? = 0
configure:6485: i686-pc-linux-gnu-gcc -E conftest.c
conftest.c:11:28: error: ac_nonexistent.h: No such file or directory
configure:6485: $? = 1
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "gtkimageview"
| #define PACKAGE_TARNAME "gtkimageview"
| #define PACKAGE_VERSION "1.6.4"
| #define PACKAGE_STRING "gtkimageview 1.6.4"
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE_URL ""
| #define PACKAGE "gtkimageview"
| #define VERSION "1.6.4"
| /* end confdefs.h. */
| #include <ac_nonexistent.h>
configure:6514: checking for ANSI C header files
configure:6534: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:6534: $? = 0
configure:6607: i686-pc-linux-gnu-gcc -o conftest -O2 -march=i686 -pipe -Wl,-O1 -Wl,--as-needed conftest.c >&5
configure:6607: $? = 0
configure:6607: ./conftest
configure:6607: $? = 0
configure:6618: result: yes
configure:6631: checking for sys/types.h
configure:6631: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:6631: $? = 0
configure:6631: result: yes
configure:6631: checking for sys/stat.h
configure:6631: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:6631: $? = 0
configure:6631: result: yes
configure:6631: checking for stdlib.h
configure:6631: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:6631: $? = 0
configure:6631: result: yes
configure:6631: checking for string.h
configure:6631: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:6631: $? = 0
configure:6631: result: yes
configure:6631: checking for memory.h
configure:6631: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:6631: $? = 0
configure:6631: result: yes
configure:6631: checking for strings.h
configure:6631: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:6631: $? = 0
configure:6631: result: yes
configure:6631: checking for inttypes.h
configure:6631: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:6631: $? = 0
configure:6631: result: yes
configure:6631: checking for stdint.h
configure:6631: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:6631: $? = 0
configure:6631: result: yes
configure:6631: checking for unistd.h
configure:6631: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:6631: $? = 0
configure:6631: result: yes
configure:6646: checking for dlfcn.h
configure:6646: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:6646: $? = 0
configure:6646: result: yes
configure:6830: checking for objdir
configure:6845: result: .libs
configure:7137: checking if i686-pc-linux-gnu-gcc supports -fno-rtti -fno-exceptions
configure:7155: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe -fno-rtti -fno-exceptions conftest.c >&5
cc1: warning: command line option "-fno-rtti" is valid for C++/ObjC++ but not for C
configure:7159: $? = 0
configure:7172: result: no
configure:7192: checking for i686-pc-linux-gnu-gcc option to produce PIC
configure:7464: result: -fPIC -DPIC
configure:7476: checking if i686-pc-linux-gnu-gcc PIC flag -fPIC -DPIC works
configure:7494: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe -fPIC -DPIC -DPIC conftest.c >&5
configure:7498: $? = 0
configure:7511: result: yes
configure:7535: checking if i686-pc-linux-gnu-gcc static flag -static works
configure:7563: result: yes
configure:7578: checking if i686-pc-linux-gnu-gcc supports -c -o file.o
configure:7599: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe -o out/conftest2.o conftest.c >&5
configure:7603: $? = 0
configure:7625: result: yes
configure:7633: checking if i686-pc-linux-gnu-gcc supports -c -o file.o
configure:7680: result: yes
configure:7713: checking whether the i686-pc-linux-gnu-gcc linker (/usr/i686-pc-linux-gnu/bin/ld) supports shared libraries
configure:8699: result: yes
configure:8736: checking whether -lc should be explicitly linked in
configure:8741: i686-pc-linux-gnu-gcc -c -O2 -march=i686 -pipe conftest.c >&5
configure:8744: $? = 0
configure:8759: i686-pc-linux-gnu-gcc -shared conftest.o -v -Wl,-soname -Wl,conftest -o conftest 2\>\&1 \| /bin/grep -lc \>/dev/null 2\>\&1
configure:8762: $? = 0
configure:8774: result: no
configure:8938: checking dynamic linker characteristics
configure:9384: i686-pc-linux-gnu-gcc -o conftest -O2 -march=i686 -pipe -Wl,-O1 -Wl,--as-needed -Wl,-rpath -Wl,/foo conftest.c >&5
configure:9384: $? = 0
configure:9602: result: GNU/Linux ld.so
configure:9704: checking how to hardcode library paths into programs
configure:9729: result: immediate
configure:10249: checking whether stripping libraries is possible
configure:10254: result: yes
configure:10289: checking if libtool supports shared libraries
configure:10291: result: yes
configure:10294: checking whether to build shared libraries
configure:10315: result: yes
configure:10318: checking whether to build static libraries
configure:10322: result: yes
configure:10403: checking whether gcc understands -Wno-sign-compare
configure:10416: i686-pc-linux-gnu-gcc -c -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -O2 -march=i686 -pipe -Wno-sign-compare conftest.c >&5
configure:10416: $? = 0
configure:10423: result: yes
configure:10441: checking what warning flags to pass to the C compiler
configure:10443: result: -Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare -Werror
configure:10454: checking what language compliance flags to pass to the C compiler
configure:10469: result:
configure:10482: checking for i686-pc-linux-gnu-pkg-config
configure:10515: result: no
configure:10525: checking for pkg-config
configure:10543: found /usr/bin/pkg-config
configure:10555: result: /usr/bin/pkg-config
configure:10580: checking pkg-config is at least version 0.9.0
configure:10583: result: yes
configure:10594: checking for DEP
configure:10601: $PKG_CONFIG --exists --print-errors "gtk+-2.0 >= 2.6.0"
Package libpng12 was not found in the pkg-config search path.
Perhaps you should add the directory containing `libpng12.pc'
to the PKG_CONFIG_PATH environment variable
Package 'libpng12', required by 'cairo', not found
configure:10604: $? = 1
configure:10617: $PKG_CONFIG --exists --print-errors "gtk+-2.0 >= 2.6.0"
Package libpng12 was not found in the pkg-config search path.
Perhaps you should add the directory containing `libpng12.pc'
to the PKG_CONFIG_PATH environment variable
Package 'libpng12', required by 'cairo', not found
configure:10620: $? = 1
Package libpng12 was not found in the pkg-config search path.
Perhaps you should add the directory containing `libpng12.pc'
to the PKG_CONFIG_PATH environment variable
Package 'libpng12', required by 'cairo', not found
configure:10657: error: Package requirements (gtk+-2.0 >= 2.6.0) were not met:

Package libpng12 was not found in the pkg-config search path.
Perhaps you should add the directory containing `libpng12.pc'
to the PKG_CONFIG_PATH environment variable
Package 'libpng12', required by 'cairo', not found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables DEP_CFLAGS
and DEP_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.


## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_build=i686-pc-linux-gnu
ac_cv_c_compiler_gnu=yes
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=set
ac_cv_env_CFLAGS_value='-O2 -march=i686 -pipe'
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_DEP_CFLAGS_set=
ac_cv_env_DEP_CFLAGS_value=
ac_cv_env_DEP_LIBS_set=
ac_cv_env_DEP_LIBS_value=
ac_cv_env_LDFLAGS_set=set
ac_cv_env_LDFLAGS_value='-Wl,-O1 -Wl,--as-needed'
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_PKG_CONFIG_set=
ac_cv_env_PKG_CONFIG_value=
ac_cv_env_build_alias_set=set
ac_cv_env_build_alias_value=i686-pc-linux-gnu
ac_cv_env_host_alias_set=set
ac_cv_env_host_alias_value=i686-pc-linux-gnu
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_header_dlfcn_h=yes
ac_cv_header_inttypes_h=yes
ac_cv_header_memory_h=yes
ac_cv_header_stdc=yes
ac_cv_header_stdint_h=yes
ac_cv_header_stdlib_h=yes
ac_cv_header_string_h=yes
ac_cv_header_strings_h=yes
ac_cv_header_sys_stat_h=yes
ac_cv_header_sys_types_h=yes
ac_cv_header_unistd_h=yes
ac_cv_host=i686-pc-linux-gnu
ac_cv_objext=o
ac_cv_path_EGREP='/bin/grep -E'
ac_cv_path_FGREP='/bin/grep -F'
ac_cv_path_GREP=/bin/grep
ac_cv_path_SED=/bin/sed
ac_cv_path_ac_pt_PKG_CONFIG=/usr/bin/pkg-config
ac_cv_path_install='/usr/bin/install -c'
ac_cv_path_mkdir=/bin/mkdir
ac_cv_prog_AR=i686-pc-linux-gnu-ar
ac_cv_prog_AWK=gawk
ac_cv_prog_CC=i686-pc-linux-gnu-gcc
ac_cv_prog_CPP='i686-pc-linux-gnu-gcc -E'
ac_cv_prog_OBJDUMP=i686-pc-linux-gnu-objdump
ac_cv_prog_RANLIB=i686-pc-linux-gnu-ranlib
ac_cv_prog_STRIP=i686-pc-linux-gnu-strip
ac_cv_prog_cc_c89=
ac_cv_prog_cc_g=yes
ac_cv_prog_make_make_set=yes
am_cv_CC_dependencies_compiler_type=gcc3
lt_cv_deplibs_check_method=pass_all
lt_cv_file_magic_cmd='$MAGIC_CMD'
lt_cv_file_magic_test_file=
lt_cv_ld_reload_flag=-r
lt_cv_nm_interface='BSD nm'
lt_cv_objdir=.libs
lt_cv_path_LD=/usr/i686-pc-linux-gnu/bin/ld
lt_cv_path_NM='/usr/bin/nm -B'
lt_cv_prog_compiler_c_o=yes
lt_cv_prog_compiler_pic_works=yes
lt_cv_prog_compiler_rtti_exceptions=no
lt_cv_prog_compiler_static_works=yes
lt_cv_prog_gnu_ld=yes
lt_cv_sys_global_symbol_pipe='sed -n -e '\''s/^.*[ ]\([ABCDGIRSTW][ABCDGIRSTW]*\)[ ][ ]*\([_A-Za-z][_A-Za-z0-9]*\)$/\1 \2 \2/p'\'''
lt_cv_sys_global_symbol_to_c_name_address='sed -n -e '\''s/^: \([^ ]*\) $/ {\"\1\", (void *) 0},/p'\'' -e '\''s/^[ABCDGIRSTW]* \([^ ]*\) \([^ ]*\)$/ {"\2", (void *) \&\2},/p'\'''
lt_cv_sys_global_symbol_to_c_name_address_lib_prefix='sed -n -e '\''s/^: \([^ ]*\) $/ {\"\1\", (void *) 0},/p'\'' -e '\''s/^[ABCDGIRSTW]* \([^ ]*\) \(lib[^ ]*\)$/ {"\2", (void *) \&\2},/p'\'' -e '\''s/^[ABCDGIRSTW]* \([^ ]*\) \([^ ]*\)$/ {"lib\2", (void *) \&\2},/p'\'''
lt_cv_sys_global_symbol_to_cdecl='sed -n -e '\''s/^T .* \(.*\)$/extern int \1();/p'\'' -e '\''s/^[ABCDGIRSTW]* .* \(.*\)$/extern char \1;/p'\'''
lt_cv_sys_max_cmd_len=1572864

## ----------------- ##
## Output variables. ##
## ----------------- ##

ACLOCAL='${SHELL} /var/tmp/portage/media-gfx/gtkimageview-1.6.4/work/gtkimageview-1.6.4/missing --run aclocal-1.11'
ACLOCAL_AMFLAGS='${ACLOCAL_FLAGS}'
AMDEPBACKSLASH='\'
AMDEP_FALSE='#'
AMDEP_TRUE=''
AMTAR='${SHELL} /var/tmp/portage/media-gfx/gtkimageview-1.6.4/work/gtkimageview-1.6.4/missing --run tar'
AR='i686-pc-linux-gnu-ar'
AUTOCONF='${SHELL} /var/tmp/portage/media-gfx/gtkimageview-1.6.4/work/gtkimageview-1.6.4/missing --run autoconf'
AUTOHEADER='${SHELL} /var/tmp/portage/media-gfx/gtkimageview-1.6.4/work/gtkimageview-1.6.4/missing --run autoheader'
AUTOMAKE='${SHELL} /var/tmp/portage/media-gfx/gtkimageview-1.6.4/work/gtkimageview-1.6.4/missing --run automake-1.11'
AWK='gawk'
CC='i686-pc-linux-gnu-gcc'
CCDEPMODE='depmode=gcc3'
CFLAGS='-O2 -march=i686 -pipe'
CPP='i686-pc-linux-gnu-gcc -E'
CPPFLAGS=''
CYGPATH_W='echo'
DEFS=''
DEPDIR='.deps'
DEP_CFLAGS=''
DEP_LIBS=''
DSYMUTIL=''
DUMPBIN=''
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP='/bin/grep -E'
ENABLE_GTK_DOC_FALSE=''
ENABLE_GTK_DOC_TRUE=''
EXEEXT=''
FGREP='/bin/grep -F'
GLIB_GENMARSHAL=''
GLIB_MKENUMS=''
GREP='/bin/grep'
GTKDOC_CHECK=''
GTKDOC_MKPDF=''
GTKDOC_REBASE=''
GTK_DOC_BUILD_HTML_FALSE=''
GTK_DOC_BUILD_HTML_TRUE=''
GTK_DOC_BUILD_PDF_FALSE=''
GTK_DOC_BUILD_PDF_TRUE=''
GTK_DOC_USE_LIBTOOL_FALSE=''
GTK_DOC_USE_LIBTOOL_TRUE=''
GTK_DOC_USE_REBASE_FALSE=''
GTK_DOC_USE_REBASE_TRUE=''
HTML_DIR=''
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='$(install_sh) -c -s'
LD='/usr/i686-pc-linux-gnu/bin/ld'
LDFLAGS='-Wl,-O1 -Wl,--as-needed'
LIBOBJS=''
LIBS=''
LIBTOOL='$(SHELL) $(top_builddir)/libtool'
LIPO=''
LN_S='ln -s'
LTLIBOBJS=''
MAKEINFO='${SHELL} /var/tmp/portage/media-gfx/gtkimageview-1.6.4/work/gtkimageview-1.6.4/missing --run makeinfo'
MKDIR_P='/bin/mkdir -p'
NM='/usr/bin/nm -B'
NMEDIT=''
OBJDUMP='i686-pc-linux-gnu-objdump'
OBJEXT='o'
OTOOL64=''
OTOOL=''
PACKAGE='gtkimageview'
PACKAGE_BUGREPORT=''
PACKAGE_NAME='gtkimageview'
PACKAGE_STRING='gtkimageview 1.6.4'
PACKAGE_TARNAME='gtkimageview'
PACKAGE_URL=''
PACKAGE_VERSION='1.6.4'
PATH_SEPARATOR=':'
PKG_CONFIG='/usr/bin/pkg-config'
RANLIB='i686-pc-linux-gnu-ranlib'
SED='/bin/sed'
SET_MAKE=''
SHELL='/bin/sh'
STRIP='i686-pc-linux-gnu-strip'
VERSION='1.6.4'
WARN_CFLAGS='-Wall -Wmissing-prototypes -Wnested-externs -Wpointer-arith -Wno-sign-compare -Werror '
ac_ct_CC=''
ac_ct_DUMPBIN=''
am__EXEEXT_FALSE=''
am__EXEEXT_TRUE=''
am__fastdepCC_FALSE='#'
am__fastdepCC_TRUE=''
am__include='include'
am__isrc=''
am__leading_dot='.'
am__quote=''
am__tar='${AMTAR} chof - "$$tardir"'
am__untar='${AMTAR} xf -'
bindir='${exec_prefix}/bin'
build='i686-pc-linux-gnu'
build_alias='i686-pc-linux-gnu'
build_cpu='i686'
build_os='linux-gnu'
build_vendor='pc'
datadir='/usr/share'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
dvidir='${docdir}'
exec_prefix='NONE'
host='i686-pc-linux-gnu'
host_alias='i686-pc-linux-gnu'
host_cpu='i686'
host_os='linux-gnu'
host_vendor='pc'
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='/usr/share/info'
install_sh='${SHELL} /var/tmp/portage/media-gfx/gtkimageview-1.6.4/work/gtkimageview-1.6.4/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localedir='${datarootdir}/locale'
localstatedir='/var/lib'
lt_ECHO='echo'
mandir='/usr/share/man'
mkdir_p='/bin/mkdir -p'
oldincludedir='/usr/include'
pdfdir='${docdir}'
prefix='/usr'
program_transform_name='s,x,x,'
psdir='${docdir}'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='/etc'
target_alias=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

/* confdefs.h */
#define PACKAGE_NAME "gtkimageview"
#define PACKAGE_TARNAME "gtkimageview"
#define PACKAGE_VERSION "1.6.4"
#define PACKAGE_STRING "gtkimageview 1.6.4"
#define PACKAGE_BUGREPORT ""
#define PACKAGE_URL ""
#define PACKAGE "gtkimageview"
#define VERSION "1.6.4"
#define STDC_HEADERS 1
#define HAVE_SYS_TYPES_H 1
#define HAVE_SYS_STAT_H 1
#define HAVE_STDLIB_H 1
#define HAVE_STRING_H 1
#define HAVE_MEMORY_H 1
#define HAVE_STRINGS_H 1
#define HAVE_INTTYPES_H 1
#define HAVE_STDINT_H 1
#define HAVE_UNISTD_H 1
#define HAVE_DLFCN_H 1
#define LT_OBJDIR ".libs/"

configure: exit 1
_________________
Without diversity there can be no evolution:)
Back to top
View user's profile Send private message
krinn
Advocate
Advocate


Joined: 02 May 2003
Posts: 3907

PostPosted: Sat Aug 07, 2010 9:41 am    Post subject: Reply with quote

/usr/sbin/libpng-1.4.x-update.sh

and see the magic happening
Back to top
View user's profile Send private message
cwc
l33t
l33t


Joined: 20 Mar 2006
Posts: 762
Location: Tri-Cities, WA USA

PostPosted: Sat Aug 07, 2010 11:35 am    Post subject: Reply with quote

krinn wrote:
/usr/sbin/libpng-1.4.x-update.sh

and see the magic happening


still no luck.

Here's my latest output for emerge world

Package libpng12 was not found in the pkg-config search path.
Perhaps you should add the directory containing `libpng12.pc'
to the PKG_CONFIG_PATH environment variable
Package 'libpng12', required by 'cairo', not found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables DEP_CFLAGS
and DEP_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.


!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/media-gfx/gtkimageview-1.6.4/work/gtkimageview-1.6.4/config.log
* ERROR: media-gfx/gtkimageview-1.6.4 failed:
* econf failed
*
* Call stack:
* ebuild.sh, line 54: Called src_configure
* environment, line 3073: Called gnome2_src_configure
* environment, line 2436: Called econf '--disable-gtk-doc'
* ebuild.sh, line 544: Called die
* The specific snippet of code:
* die "econf failed"
*
* If you need support, post the output of 'emerge --info =media-gfx/gtkimageview-1.6.4',
* the complete build log and the output of 'emerge -pqv =media-gfx/gtkimageview-1.6.4'.
* The complete build log is located at '/var/tmp/portage/media-gfx/gtkimageview-1.6.4/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/media-gfx/gtkimageview-1.6.4/temp/environment'.
* S: '/var/tmp/portage/media-gfx/gtkimageview-1.6.4/work/gtkimageview-1.6.4'

>>> Failed to emerge media-gfx/gtkimageview-1.6.4, Log file:

>>> '/var/tmp/portage/media-gfx/gtkimageview-1.6.4/temp/build.log'

* Messages for package media-gfx/gtkimageview-1.6.4:

* ERROR: media-gfx/gtkimageview-1.6.4 failed:
* econf failed
*
* Call stack:
* ebuild.sh, line 54: Called src_configure
* environment, line 3073: Called gnome2_src_configure
* environment, line 2436: Called econf '--disable-gtk-doc'
* ebuild.sh, line 544: Called die
* The specific snippet of code:
* die "econf failed"
*
* If you need support, post the output of 'emerge --info =media-gfx/gtkimageview-1.6.4',
* the complete build log and the output of 'emerge -pqv =media-gfx/gtkimageview-1.6.4'.
* The complete build log is located at '/var/tmp/portage/media-gfx/gtkimageview-1.6.4/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/media-gfx/gtkimageview-1.6.4/temp/environment'.
* S: '/var/tmp/portage/media-gfx/gtkimageview-1.6.4/work/gtkimageview-1.6.4'
t
_________________
Without diversity there can be no evolution:)
Back to top
View user's profile Send private message
krinn
Advocate
Advocate


Joined: 02 May 2003
Posts: 3907

PostPosted: Sat Aug 07, 2010 1:57 pm    Post subject: Reply with quote

now you can rebuild cairo
Back to top
View user's profile Send private message
ssuominen
Developer
Developer


Joined: 30 Sep 2005
Posts: 2000
Location: Finland

PostPosted: Sat Aug 07, 2010 3:08 pm    Post subject: Reply with quote

It's a 3 step upgrade. No more, no less. Just ignore all the false information out there about this upgrade.

What?

Code:

# /usr/sbin/libpng-1.4.x-update.sh
# emerge -1 cairo pango gtk+ libglade
# revdep-rebuild --library libpng12.so.0


Why?

Script will fix broken .la files.
Re-emerge of cairo, pango, gtk+ and libglade will fix broken .pc files
And revdep-rebuild called with --library will recompile everything to use libpng14.so.0 instead of libpng12.so.0.
Back to top
View user's profile Send private message
cwc
l33t
l33t


Joined: 20 Mar 2006
Posts: 762
Location: Tri-Cities, WA USA

PostPosted: Sun Aug 08, 2010 12:52 pm    Post subject: Reply with quote

krinn wrote:
now you can rebuild cairo


emerge world is now working. it will take a while

thank you so much for the help
_________________
Without diversity there can be no evolution:)
Back to top
View user's profile Send private message
cwc
l33t
l33t


Joined: 20 Mar 2006
Posts: 762
Location: Tri-Cities, WA USA

PostPosted: Sun Aug 08, 2010 12:53 pm    Post subject: Reply with quote

ssuominen wrote:
It's a 3 step upgrade. No more, no less. Just ignore all the false information out there about this upgrade.

What?

Code:

# /usr/sbin/libpng-1.4.x-update.sh
# emerge -1 cairo pango gtk+ libglade
# revdep-rebuild --library libpng12.so.0


Why?

Script will fix broken .la files.
Re-emerge of cairo, pango, gtk+ and libglade will fix broken .pc files
And revdep-rebuild called with --library will recompile everything to use libpng14.so.0 instead of libpng12.so.0.



thank you so much.

my emerge world is working now. i can do this if it fails or in the end.
I'm building another Gentoo box and I plan on installing stortly.
_________________
Without diversity there can be no evolution:)
Back to top
View user's profile Send private message
cwc
l33t
l33t


Joined: 20 Mar 2006
Posts: 762
Location: Tri-Cities, WA USA

PostPosted: Mon Aug 09, 2010 5:20 am    Post subject: Now I have a problem with libcanberra. Reply with quote

I got about 176 packages out of 324 updated then I got this error.

* ERROR: media-libs/libcanberra-0.25 failed:
_________________
Without diversity there can be no evolution:)
Back to top
View user's profile Send private message
krinn
Advocate
Advocate


Joined: 02 May 2003
Posts: 3907

PostPosted: Mon Aug 09, 2010 10:42 am    Post subject: Re: Now I have a problem with libcanberra. Reply with quote

cwc wrote:
I got about 176 packages out of 324 updated then I got this error.

* ERROR: media-libs/libcanberra-0.25 failed:


use --keep-going next time :P

If you want help about libcanberra, you better output the error or the log, because the "error: failed" won't be enough
Back to top
View user's profile Send private message
ssuominen
Developer
Developer


Joined: 30 Sep 2005
Posts: 2000
Location: Finland

PostPosted: Mon Aug 09, 2010 10:43 am    Post subject: Re: Now I have a problem with libcanberra. Reply with quote

cwc wrote:
I got about 176 packages out of 324 updated then I got this error.

* ERROR: media-libs/libcanberra-0.25 failed:


Try:

MAKEOPTS="-j1" emerge -1 libcanberra

There is a known problem with -j2 or higher and libcanberra install.
Back to top
View user's profile Send private message
Joseph_sys
Advocate
Advocate


Joined: 08 Jun 2004
Posts: 2359
Location: Edmonton, AB

PostPosted: Mon Oct 11, 2010 5:34 am    Post subject: Reply with quote

ssuominen wrote:
It's a 3 step upgrade. No more, no less. Just ignore all the false information out there about this upgrade.

What?

Code:

# /usr/sbin/libpng-1.4.x-update.sh
# emerge -1 cairo pango gtk+ libglade
# revdep-rebuild --library libpng12.so.0



I'm getting an error when I try to rebuild cairo:
Code:
.libs/cairo-type1-subset.o: file not recognized: File format not recognized
collect2: ld returned 1 exit status
make[3]: *** [libcairo.la] Error 1
make[3]: Leaving directory `/var/tmp/portage/x11-libs/cairo-1.8.10/work/cairo-1.8.10/src'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/var/tmp/portage/x11-libs/cairo-1.8.10/work/cairo-1.8.10/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/x11-libs/cairo-1.8.10/work/cairo-1.8.10'
make: *** [all] Error 2
 * ERROR: x11-libs/cairo-1.8.10 failed:
 *   emake failed
 *
 * Call stack:
 *     ebuild.sh, line   54:  Called src_compile
 *   environment, line 3224:  Called _eapi2_src_compile
 *     ebuild.sh, line  646:  Called die
 * The specific snippet of code:
 *              emake || die "emake failed"


Any hint what might causing it?
_________________
#Joseph
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum